-- Author      : Svartalve
-- Create Date : 4/7/2010 1:28:08 AM
SLASH_GOBLING1 = "/gobling"
SlashCmdList["GOBLING"] = function(str)
	local switch, msg = str:match("([^ ]+) (.*)")
	if switch == "help" then
		ChatFrame1:AddMessage("/gobling Show Gobling\n/gobling help show this usage list")
	else
		GoblingFrame:Show()
  end
end
local totalAns, yesAns, maybeAns, noAns = 20, 10, 5, 5

function Gobling_OnLoad(frame)
   frame:RegisterForDrag("LeftButton")
end

function Gobling_UpdateQuestion()
	local labelQuestion
	if GoblingFrame_Input:GetNumLetters() == 0 then
		labelQuestion = GoblingLocalization["ERROR"]
		GoblingFrame_Question:SetText(labelQuestion)
		GoblingFrame_Input:SetFocus()
		GoblingFrame_Answer:Hide()
		GoblingFrame:SetHeight(130)
		GoblingFrame_Input:SetPoint("TOPLEFT", GoblingFrame_Portrait, "BOTTOMLEFT", 5, -5)
	else
		labelQuestion = GoblingLocalization["QUESTION"]..GoblingFrame_Input:GetText().."\""
		GoblingFrame_Question:SetText(labelQuestion)
		GoblingFrame_Input:SetText("")
		GoblingFrame_Input:ClearFocus()
		Gobling_UpdateAnswer()
  end
end

-- Function that accepts two variables, answer type (Y,M,N) and a number value. Returns the value which corresponds to the given key in localization tables.
function answerKey(name, index)
   local key = name.."_"..index
   return GoblingLocalization[key]
end

function Gobling_UpdateAnswer()
	local dieCast = random(1, totalAns)
	local labelAnswer
	
	if dieCast <= yesAns then
		labelAnswer = answerKey("YES", dieCast)
	elseif dieCast <= (yesAns + maybeAns) then
		labelAnswer = answerKey("MAYBE", (dieCast - yesAns))
	else
		labelAnswer = answerKey("NO", (dieCast - (yesAns + maybeAns)))
	end
	GoblingFrame_Answer:SetText(labelAnswer)
  GoblingFrame_Answer:Show()
  GoblingFrame:SetHeight(195)
  GoblingFrame_Input:SetPoint("TOPLEFT", GoblingFrame_Answer, "BOTTOMLEFT", 5, -6)
end
